View Issue Details

IDProjectCategoryView StatusLast Update
0001553SymmetricDSBugpublic2014-02-05 10:08
ReportersgartenAssigned Tochenson 
Prioritynormal 
Status resolvedResolutionfixed 
Product Version3.5.15 
Target Version3.5.16Fixed in Version3.5.16 
Summary0001553: REST API HEARTBEAT returning NotAllowException
DescriptionWhen submitting a rest API call... against a single engine symmetric server using the http://xx.xx.xx.xxx/api/engine/heartbeat passing the securityToken as a parameter and a JSON string as the body, the RestService always yields a NotAllowedException. However, when you use the specific engine version of the call include the engine name (http://xx.xx.xx.xxx/api/engine/mobile-sync-master/heartbeat) , the same request succeeds and writes to the database.
Steps To Reproduceas a PUT

http://xx.xx.xx.xxx/api/engine/heartbeat?securityToken=6280ba54c02fe0d450dc6e39e03a41


{
    "nodeId": "client001",
    "hostName": "handhelddevice",
    "ipAddress": "xx.xx.xx.xxx",
    "osUser": "sg",
    "osName": "ios",
    "osArchitecture": "",
    "osVersion": "111",
    "availableProcessors": 1,
    "freeMemoryBytes": 10000,
    "totalMemoryBytes": 20000,
    "maxMemoryBytes": 30000,
    "javaVersion": "1.7",
    "javaVendor": "oracle",
    "symmetricVersion": "3.5.13",
    "timezoneOffset": "-05:00",
    "heartbeatTime": "2014-01-31T02:03:22.557Z",
    "lastRestartTime": "2014-01-31T02:03:22.557Z",
    "createTime": "2014-01-31T02:03:22.557Z"
}
TagsNo tags attached.

Activities

sgarten

2014-01-31 14:54

reporter   ~0000437

This is against an Oracle 11.2g database; just in case that makes a difference and is fronted by an Apache web server.

Related Changesets

SymmetricDS: master 831bce1b

2014-02-03 19:12:27

chenson

Details Diff
Fixed 0001553: REST API HEARTBEAT returning NotAllowException
0001553
mod - symmetric-server/src/main/java/org/jumpmind/symmetric/web/rest/RestService.java Diff File

Issue History

Date Modified Username Field Change
2014-01-31 14:53 sgarten New Issue
2014-01-31 14:54 sgarten Note Added: 0000437
2014-02-03 19:12 chenson Assigned To => chenson
2014-02-03 19:12 chenson Status new => assigned
2014-02-03 19:12 chenson Fixed in Version => 3.5.16
2014-02-03 19:12 chenson Target Version => 3.5.16
2014-02-03 19:12 chenson Status assigned => resolved
2014-02-03 19:12 chenson Resolution open => fixed
2014-02-03 20:00 Changeset attached => SymmetricDS trunk r7911
2014-02-05 10:08 chenson Status resolved => closed
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 831bce1b
2015-07-30 21:50 chenson Status closed => resolved